
% Define problem and discretization parameters
x0 = ;
T = ; 
h = T(2)/101; 
tol = 1e-6;

% Exact solution
xExact=; %fill in

% Approx solution
[t,xTrapez] = TrapezSolve();

% Plot solutions in phase space
figure;
hold on
plot(xExact(1,:),xExact(2,:),'r','Linewidth',2); %plot 1st and 2nd component of explicit solution against each other
plot(xTrapez(1,:),xTrapez(2,:),'bo'); %plot 1st and 2nd components of numerical solution against each other

% Plot solutions against time
figure;
subplot(211)
hold on
plot(xExact(1,:),'r','Linewidth',2); %plot 1st component explicit solution against time
plot(xTrapez(1,:),'bo'); %plot 1st component of numerical solution against time
subplot(212)
hold on
plot(xExact(2,:),'r','Linewidth',2); %plot 2nd component of explicit solution against time
plot(xTrapez(2,:),'bo'); %plot 2nd component of numerical solution against time


% Plot H
figure
%Compute H
H = ;
plot(H,'g','Linewidth',2) % Plot H 
ylim([0 1])

%Define function f here
function fn = f(t,x)
end